commit:     cbd873a89daab26d2fa0c7c7ef18bdf68de192b7
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 17 18:40:30 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sun Mar 17 18:41:12 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbd873a8

dev-ada/gpr: add 24.0.0

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ada/gpr/Manifest          |  1 +
 dev-ada/gpr/gpr-24.0.0.ebuild | 88 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/dev-ada/gpr/Manifest b/dev-ada/gpr/Manifest
index 88e120143e4d..426813aba4d8 100644
--- a/dev-ada/gpr/Manifest
+++ b/dev-ada/gpr/Manifest
@@ -1 +1,2 @@
 DIST gpr-23.0.0.tar.gz 1005298 BLAKE2B 
475ac5ad89a4d038dc8cdb953826f46e0f8f2bbf09a858366a634b5bacfc4b0282db4206cf5d113900dffd3c2ad9423b6c6e56de8058215a7946020c30dacc8b
 SHA512 
f1cfd2c2162ffa984c62238a472438919c22a83b61e03c9234f6bc601c1d1e50981f52d024106ad5196dd83ee7686e864c8728c56d451be06baf96161afd8bcc
+DIST gpr2-with-lkparser-24.0.tgz 2030278 BLAKE2B 
ae42fd876a08a654db2db919e6d777ba603d54d6db618e8b8dbdfcfd9313decad092e0a9feae09ca46ec324cd860eaffbb6fa670290d454414677ad7e4a61dc7
 SHA512 
eda3c693393763da31312733e2bc06e852b867a32b42da6afdddd623051a1d29f7243aabaef3ae50052b22686dce6db62d9823652ce516d79822e4215f4d87b1

diff --git a/dev-ada/gpr/gpr-24.0.0.ebuild b/dev-ada/gpr/gpr-24.0.0.ebuild
new file mode 100644
index 000000000000..b0b0a3b4d4e8
--- /dev/null
+++ b/dev-ada/gpr/gpr-24.0.0.ebuild
@@ -0,0 +1,88 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ADA_COMPAT=( gnat_2021 gcc_12 gcc_13 )
+
+inherit ada multiprocessing
+
+DESCRIPTION="LibGPR2 - Parser for GPR Project files"
+HOMEPAGE="https://github.com/AdaCore/gpr";
+SRC_URI="https://github.com/AdaCore/${PN}/releases/download/v${PV}/gpr2-with-lkparser-$(ver_cut
 1-2).tgz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+shared static-libs static-pic"
+REQUIRED_USE="|| ( shared static-libs static-pic )
+       ${ADA_REQUIRED_USE}"
+
+RDEPEND="${ADA_DEPS}
+       dev-ada/xmlada[${ADA_USEDEP},shared?,static-libs?,static-pic?]
+       dev-ada/gnatcoll-core[${ADA_USEDEP},shared?,static-libs?,static-pic?]
+       
dev-ada/gnatcoll-bindings[${ADA_USEDEP},shared?,static-libs?,static-pic?,iconv,gmp]
+"
+
+DEPEND="${RDEPEND}
+       dev-ada/gprconfig_kb[${ADA_USEDEP}]
+       dev-ada/gprbuild[${ADA_USEDEP}]"
+
+S="${WORKDIR}"/${PN}
+
+src_compile() {
+       build () {
+               gprbuild -j$(makeopts_jobs) -m -p -v -XLIBRARY_TYPE=$1 \
+                       -XGPR2_BUILD=release -XXMLADA_BUILD=$1 gpr2.gpr \
+                       -largs ${LDFLAGS} \
+                       -cargs ${ADAFLAGS} || die "gprbuild failed"
+       }
+       if use shared; then
+               build relocatable
+       fi
+       if use static-libs; then
+               build static
+       fi
+       if use static-pic; then
+               build static-pic
+       fi
+       if use static-libs; then
+               libtype='static'
+       elif use static-pic; then
+               libtype='static-pic'
+       elif use shared; then
+               libtype='relocatable'
+       fi
+
+       gprbuild -p -m -v -j$(makeopts_jobs) -aP . -XGPR2_BUILD=release \
+               -XLIBRARY_TYPE=${libtype} -XXMLADA_BUILD=${libtype} 
tools/gpr2-tools.gpr \
+               -largs ${LDFLAGS} -cargs ${ADAFLAGS} || die
+}
+
+src_install() {
+       build () {
+               gprinstall -XLIBRARY_TYPE=$1 -f -p -v -XGPR2_BUILD=release \
+                       --prefix="${D}/usr" -XXMLADA_BUILD=$1 \
+                       --build-name=$1 --build-var=LIBRARY_TYPE \
+                       --build-var=GPR2_LIBRARY_TYPE gpr2.gpr || die
+       }
+       if use shared; then
+               build relocatable
+       fi
+       if use static-libs; then
+               build static
+       fi
+       if use static-pic; then
+               build static-pic
+       fi
+       gprinstall -p -f -v -aP . -XGPR2_BUILD=release --prefix="${D}/usr" \
+               -XLIBRARY_TYPE=${libtype} -XXMLADA_BUILD=${libtype} \
+               --build-name=${libtype} --mode=usage tools/gpr2-tools.gpr || die
+
+       einstalldocs
+
+       rm "${D}"/usr/bin/gprclean || die
+       rm "${D}"/usr/bin/gprconfig || die
+       rm "${D}"/usr/bin/gprinstall || die
+       rm "${D}"/usr/bin/gprls || die
+}

Reply via email to